# SoftwareReportingTasksPlugin

@Incubating
@NullMarked
abstract class SoftwareReportingTasksPlugin : Plugin<T>

Adds various reporting tasks that provide information about a software project, such as information about configurations and dependency reporting tasks that make use of dependency management.

#### Since

8.13

## Constructors

SoftwareReportingTasksPlugin
Link copied to clipboard
constructor()

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)